/******************************************************************************
 * This little program prints bars of asterisks for count[0], count[1], and
 * count[2]. Because the average count is 200, we actually print 
 * count[i]/(200/50) asterisks in the ith row. The bars are proportional to 
 * the counts, but still fit on the screen.
 * ****************************************************************************/
 #include <stdio.h>
int main(void)
{
	int i,j, count[3], total=600, expected;
	count[0]=200; /* The bar for this will have 50 *'s */
	count[1]=150; /* This bar will get 150/4=37 *'s */
	count[2]=250; /* The bar for this will have 62 *'s. */
	expected=total/3;
	for(i=0;i<3;i++) /* Run through each index of count[]. */
	{
		for(j=1;j<=count[i]/(expected/50);j++) /* adjust the total 
							  proportionately
							  to get around 
							  50 *'s per row.
						   	*/
			printf("*");
		printf("\n");
	}
	return 0;
	
}
